EXP(3)

NAME
exp, expf, expl, exp2, exp2f, exp2l, expm1, expm1f expm1l - exponential functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
exp(double x);
float
expf(float x);
long double
expf(long double x);
double
exp2(double x);
float
exp2f(float x);
long double
exp2l(long double x);
double
expm1(double x);
float
expm1f(float x);
long double
expm1l(long double x);

DESCRIPTION
The exp(), expf(), and expl() functions compute the base e exponential value of the given argument x.

The exp2(), exp2f(), and exp2l() functions compute the base 2 exponential of the given argument x.

The expm1(), expm1f() and expm1l() functions compute the value exp(x)-1 accurately even for tiny argument x.

RETURN VALUES
These functions will return the appropriate computation unless an error occurs or an argument is out of range. The functions exp() and expm1() detect if the computed value will overflow, set the global variable errno to ERANGE and cause a reserved operand fault on a VAX.

SEE ALSO
math(3)

STANDARDS
The exp() function conforms to ansiC. The exp2(), exp2f(), exp2l(), expf(), expl(), expm1(), expm1f(), and expm1l() functions conform to isoC-99.

HISTORY
The exp() functions appeared in AT&T UNIX. The expm1() function appeared in 4.3BSD.